org.richfaces.component

## Class UITree

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.AbstractTree
        - - org.richfaces.component.UITree

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, IterationStateHolder, AjaxActivatorProps, AjaxProps, CoreProps, EventsKeyProps, EventsMouseProps, I18nProps, ImmediateProps, SequenceProps, TreeCommonProps, TreeProps, MetaComponentEncoder, MetaComponentResolver, TreeSelectionChangeSource, TreeToggleSource

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UITree
      extends AbstractTree
      implements javax.faces.component.behavior.ClientBehaviorHolder, MetaComponentEncoder, MetaComponentResolver, AjaxProps, CoreProps, EventsKeyProps, EventsMouseProps, I18nProps, ImmediateProps, SequenceProps, TreeCommonProps, TreeProps, TreeSelectionChangeSource, TreeToggleSource

  The <rich:tree> component provides a hierarchical tree control. Each <rich:tree> component typically consists of <rich:treeNode> child components. The appearance and behavior of the tree and its nodes can be fully customized.

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UITree.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractTree

      `DEFAULT_TREE_NODE_FACET_NAME, DEFAULT_TREE_NODE_ID, SELECTION_META_COMPONENT_ID`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.component.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITree()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()` Serialized (on default with JSON) data passed to the client by a developer on an AJAX request.
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()` IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle.
    `String` | `getFamily()`
    `String` | `getHandleClass()` Space-separated list of CSS style class(es) to be applied to the tree node handles.
    `String` | `getIconClass()` Space-separated list of CSS style class(es) to be applied to the tree node icons.
    `String` | `getIconCollapsed()` The icon for collapsed node
    `String` | `getIconExpanded()` The icon for expanded node
    `String` | `getIconLeaf()` The icon for component leaves
    `String` | `getLabelClass()` Space-separated list of CSS style class(es) to be applied to the tree node labels.
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `String` | `getNodeClass()` Space-separated list of CSS style class(es) to be applied to the tree nodes.
    `String` | `getNodeType()` Determines which treeNode should be used for rendering.
    `String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
    `String` | `getOnbeforenodetoggle()` The client-side script method to be called before the node is toggled.
    `String` | `getOnbeforeselectionchange()` The client-side script method to be called before the selection is changed.
    `String` | `getOnbegin()` The client-side script method to be called before an ajax request.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnnodetoggle()` The client-side script method to be called after the node is toggled.
    `String` | `getOnselectionchange()` The client-side script method to be called after the selection is changed.
    `Object` | `getRender()` IDs of components that will participate in the "render" portion of the Request Processing Lifecycle.
    `javax.el.MethodExpression` | `getSelectionChangeListener()` Method expression referencing a method that will be called when an TreeSelectionChangeEvent has been broadcast for the listener.
    `SwitchType` | `getSelectionType()` The type of type of the selection - ajax (default), client, server.
    `String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `javax.el.MethodExpression` | `getToggleListener()` MethodExpression representing an tree node toggle listener method that will be notified when the tree node is toggled.
    `String` | `getToggleNodeEvent()` Client-side event used for toggling tree nodes (click, dblclick, etc.)
    `SwitchType` | `getToggleType()` The type of type of the node toggling - ajax (default), client, server.
    `Object` | `getValue()` Points to the data model
    `boolean` | `isImmediate()` Flag indicating that, if this component is activated by the user, notifications should be delivered to interested listeners and actions immediately (that is, during Apply Request Values phase) rather than waiting until the Invoke Application phase.
    `boolean` | `isLimitRender()` If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
    `boolean` | `isUseDefaultNode()` When "true" a default treeNode will be created for nodes in the dataModel that do not match any existing treeNode.
    `void` | `setData(Object data)`
    `void` | `setDir(String dir)`
    `void` | `setExecute(Object execute)`
    `void` | `setHandleClass(String handleClass)`
    `void` | `setIconClass(String iconClass)`
    `void` | `setIconCollapsed(String iconCollapsed)`
    `void` | `setIconExpanded(String iconExpanded)`
    `void` | `setIconLeaf(String iconLeaf)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setLabelClass(String labelClass)`
    `void` | `setLang(String lang)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setNodeClass(String nodeClass)`
    `void` | `setNodeType(String nodeType)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbeforenodetoggle(String onbeforenodetoggle)`
    `void` | `setOnbeforeselectionchange(String onbeforeselectionchange)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnnodetoggle(String onnodetoggle)`
    `void` | `setOnselectionchange(String onselectionchange)`
    `void` | `setRender(Object render)`
    `void` | `setSelectionChangeListener(javax.el.MethodExpression selectionChangeListener)`
    `void` | `setSelectionType(SwitchType selectionType)`
    `void` | `setStatus(String status)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setToggleListener(javax.el.MethodExpression toggleListener)`
    `void` | `setToggleNodeEvent(String toggleNodeEvent)`
    `void` | `setToggleType(SwitchType toggleType)`
    `void` | `setUseDefaultNode(boolean useDefaultNode)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.richfaces.component.AbstractTree

      `addTreeSelectionChangeListener, addTreeToggleListener, broadcast, convertDeclarativeKeyFromString, convertDeclarativeKeyToString, createComponentState, createExtendedDataModel, createSnapshot, dataChildren, encodeMetaComponent, findDeclarativeModel, findMatchingTreeNodeComponent, findTreeNodeComponent, getRowKeyConverter, getSelection, getTreeDataModel, getTreeRange, getTreeSelectionChangeListeners, getTreeToggleListeners, isExpanded, isLeaf, removeTreeSelectionChangeListener, removeTreeToggleListener, resetDataModel, resolveClientId, restoreChildState, restoreFromSnapshot, setSelection, setupCurrentComponent, substituteUnresolvedClientId, visitFixedChildren, walk, walkModel`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, captureOrigValue, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, fixedChildren, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, matchesBaseId, preDecode, preEncodeBegin, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, restoreChildState, restoreOrigValue, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValueExpression, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitTree, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

    - ### Methods inherited from interface org.richfaces.component.attribute.SequenceProps

      `getRowKeyConverter`

    - ### Methods inherited from interface org.richfaces.component.attribute.TreeProps

      `getRowKeyVar, getSelection, getStateVar, getVar, isKeepSaved`

    - ### Methods inherited from interface org.richfaces.event.TreeSelectionChangeSource

      `addTreeSelectionChangeListener, removeTreeSelectionChangeListener`

    - ### Methods inherited from interface org.richfaces.event.TreeToggleSource

      `addTreeToggleListener, removeTreeToggleListener`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITree

          public UITree()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractTree`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getData

          public Object getData()

      Description copied from interface: `AjaxActivatorProps`
      Serialized (on default with JSON) data passed to the client by a developer on an AJAX request. It's accessible via "event.data" syntax. Both primitive types and complex types such as arrays and collections can be serialized and used with data
      Specified by:
        `getData` in interface `AjaxActivatorProps`

    - #### setData

          public void setData(Object data)

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### getExecute

          public Object getExecute()

      Description copied from interface: `AjaxProps`
      IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of IDs, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords
      Default value is "@region" which resolves to this component if no region is present.
      Specified by:
        `getExecute` in interface `AjaxProps`

    - #### setExecute

          public void setExecute(Object execute)

    - #### getHandleClass

          public String getHandleClass()

      Description copied from interface: `TreeCommonProps`
      Space-separated list of CSS style class(es) to be applied to the tree node handles.
      Specified by:
        `getHandleClass` in interface `TreeCommonProps`

    - #### setHandleClass

          public void setHandleClass(String handleClass)

    - #### getIconClass

          public String getIconClass()

      Description copied from interface: `TreeCommonProps`
      Space-separated list of CSS style class(es) to be applied to the tree node icons.
      Specified by:
        `getIconClass` in interface `TreeCommonProps`

    - #### setIconClass

          public void setIconClass(String iconClass)

    - #### getIconCollapsed

          public String getIconCollapsed()

      Description copied from interface: `TreeCommonProps`
      The icon for collapsed node
      Specified by:
        `getIconCollapsed` in interface `TreeCommonProps`

    - #### setIconCollapsed

          public void setIconCollapsed(String iconCollapsed)

    - #### getIconExpanded

          public String getIconExpanded()

      Description copied from interface: `TreeCommonProps`
      The icon for expanded node
      Specified by:
        `getIconExpanded` in interface `TreeCommonProps`

    - #### setIconExpanded

          public void setIconExpanded(String iconExpanded)

    - #### getIconLeaf

          public String getIconLeaf()

      Description copied from interface: `TreeCommonProps`
      The icon for component leaves
      Specified by:
        `getIconLeaf` in interface `TreeCommonProps`

    - #### setIconLeaf

          public void setIconLeaf(String iconLeaf)

    - #### isImmediate

          public boolean isImmediate()

      Description copied from interface: `ImmediateProps`
      Flag indicating that, if this component is activated by the user, notifications should be delivered to interested listeners and actions immediately (that is, during Apply Request Values phase) rather than waiting until the Invoke Application phase.
      Specified by:
        `isImmediate` in interface `ImmediateProps`

    - #### setImmediate

          public void setImmediate(boolean immediate)

    - #### getLabelClass

          public String getLabelClass()

      Description copied from interface: `TreeCommonProps`
      Space-separated list of CSS style class(es) to be applied to the tree node labels.
      Specified by:
        `getLabelClass` in interface `TreeCommonProps`

    - #### setLabelClass

          public void setLabelClass(String labelClass)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### isLimitRender

          public boolean isLimitRender()

      Description copied from interface: `AjaxActivatorProps`
      If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
      Specified by:
        `isLimitRender` in interface `AjaxActivatorProps`

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getNodeClass

          public String getNodeClass()

      Description copied from interface: `TreeProps`
      Space-separated list of CSS style class(es) to be applied to the tree nodes.
      Specified by:
        `getNodeClass` in interface `TreeProps`
      Specified by:
        `getNodeClass` in class `AbstractTree`

    - #### setNodeClass

          public void setNodeClass(String nodeClass)

    - #### getNodeType

          public String getNodeType()

      Description copied from interface: `TreeProps`
      Determines which treeNode should be used for rendering. Should contain EL expressions which uses request-scoped variable with name defied in attribute 'var'. If not set a default treeNode will be created.
      Specified by:
        `getNodeType` in interface `TreeProps`
      Specified by:
        `getNodeType` in class `AbstractTree`

    - #### setNodeType

          public void setNodeType(String nodeType)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

      Description copied from interface: `AjaxActivatorProps`
      The client-side script method to be called after the ajax response comes back, but before the DOM is updated
      Specified by:
        `getOnbeforedomupdate` in interface `AjaxActivatorProps`

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbeforenodetoggle

          public String getOnbeforenodetoggle()

      Description copied from interface: `TreeProps`
      The client-side script method to be called before the node is toggled.
      Specified by:
        `getOnbeforenodetoggle` in interface `TreeProps`
      Specified by:
        `getOnbeforenodetoggle` in class `AbstractTree`

    - #### setOnbeforenodetoggle

          public void setOnbeforenodetoggle(String onbeforenodetoggle)

    - #### getOnbeforeselectionchange

          public String getOnbeforeselectionchange()

      Description copied from interface: `TreeProps`
      The client-side script method to be called before the selection is changed.
      Specified by:
        `getOnbeforeselectionchange` in interface `TreeProps`
      Specified by:
        `getOnbeforeselectionchange` in class `AbstractTree`

    - #### setOnbeforeselectionchange

          public void setOnbeforeselectionchange(String onbeforeselectionchange)

    - #### getOnbegin

          public String getOnbegin()

      Description copied from interface: `AjaxProps`
      The client-side script method to be called before an ajax request.
      Specified by:
        `getOnbegin` in interface `AjaxProps`

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOncomplete

          public String getOncomplete()

      Description copied from interface: `AjaxActivatorProps`
      The client-side script method to be called after the DOM is updated
      Specified by:
        `getOncomplete` in interface `AjaxActivatorProps`

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnnodetoggle

          public String getOnnodetoggle()

      Description copied from interface: `TreeProps`
      The client-side script method to be called after the node is toggled.
      Specified by:
        `getOnnodetoggle` in interface `TreeProps`
      Specified by:
        `getOnnodetoggle` in class `AbstractTree`

    - #### setOnnodetoggle

          public void setOnnodetoggle(String onnodetoggle)

    - #### getOnselectionchange

          public String getOnselectionchange()

      Description copied from interface: `TreeProps`
      The client-side script method to be called after the selection is changed.
      Specified by:
        `getOnselectionchange` in interface `TreeProps`
      Specified by:
        `getOnselectionchange` in class `AbstractTree`

    - #### setOnselectionchange

          public void setOnselectionchange(String onselectionchange)

    - #### getRender

          public Object getRender()

      Description copied from interface: `AjaxActivatorProps`
      IDs of components that will participate in the "render" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of Id's, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords
      Specified by:
        `getRender` in interface `AjaxActivatorProps`

    - #### setRender

          public void setRender(Object render)

    - #### getSelectionChangeListener

          public javax.el.MethodExpression getSelectionChangeListener()

      Description copied from interface: `TreeProps`
      Method expression referencing a method that will be called when an TreeSelectionChangeEvent has been broadcast for the listener.
      Specified by:
        `getSelectionChangeListener` in interface `TreeProps`

    - #### setSelectionChangeListener

          public void setSelectionChangeListener(javax.el.MethodExpression selectionChangeListener)

    - #### getSelectionType

          public SwitchType getSelectionType()

      Description copied from interface: `TreeProps`
      The type of type of the selection - ajax (default), client, server.
      Specified by:
        `getSelectionType` in interface `TreeProps`
      Specified by:
        `getSelectionType` in class `AbstractTree`

    - #### setSelectionType

          public void setSelectionType(SwitchType selectionType)

    - #### getStatus

          public String getStatus()

      Description copied from interface: `AjaxProps`
      Name of the request status component that will indicate the status of the Ajax request
      Specified by:
        `getStatus` in interface `AjaxProps`

    - #### setStatus

          public void setStatus(String status)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getToggleListener

          public javax.el.MethodExpression getToggleListener()

      Description copied from interface: `TreeCommonProps`
      MethodExpression representing an tree node toggle listener method that will be notified when the tree node is toggled. The expression must evaluate to a public method that takes an TreeToggleEvent parameter, with a return type of void, or to a public method that takes no arguments with a return type of void. In the latter case, the method has no way of easily knowing where the event came from, but this can be useful in cases where a notification is needed that "some action happened".
      Specified by:
        `getToggleListener` in interface `TreeCommonProps`

    - #### setToggleListener

          public void setToggleListener(javax.el.MethodExpression toggleListener)

    - #### getToggleNodeEvent

          public String getToggleNodeEvent()

      Description copied from interface: `TreeProps`
      Client-side event used for toggling tree nodes (click, dblclick, etc.)
      Specified by:
        `getToggleNodeEvent` in interface `TreeProps`
      Specified by:
        `getToggleNodeEvent` in class `AbstractTree`

    - #### setToggleNodeEvent

          public void setToggleNodeEvent(String toggleNodeEvent)

    - #### getToggleType

          public SwitchType getToggleType()

      Description copied from interface: `TreeProps`
      The type of type of the node toggling - ajax (default), client, server.
      Specified by:
        `getToggleType` in interface `TreeProps`
      Specified by:
        `getToggleType` in class `AbstractTree`

    - #### setToggleType

          public void setToggleType(SwitchType toggleType)

    - #### isUseDefaultNode

          public boolean isUseDefaultNode()

      Description copied from interface: `TreeProps`
      When "true" a default treeNode will be created for nodes in the dataModel that do not match any existing treeNode.
      Specified by:
        `isUseDefaultNode` in interface `TreeProps`

    - #### setUseDefaultNode

          public void setUseDefaultNode(boolean useDefaultNode)

    - #### getValue

          public Object getValue()

      Description copied from class: `AbstractTree`
      Points to the data model
      Specified by:
        `getValue` in class `AbstractTree`

    - #### setValue

          public void setValue(Object value)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.